Chapter 2. Web Control Panel Reference
Prev |  | Next

## Chapter 2. Web Control Panel Reference

This chapter is a reference to the Web Control Panel controls. It contains the following sections:

- “Main Window”

- “Keyboard Shortcuts”

## Main Window

The main window (see Figure 2-1) is what you first see when you launch Web Control Panel. It consists of the following:

- “Menu Bar” which contains the “File Menu” and “Help Menu”.

- “Viewer Tab,” which contains the History Length text field, the Empty History Now button, and the JavaScript checkbox.

- “Caching and Fetching Tab,” which contains the cache location text field, recycle button, and sliders to adjust cache size and number of connections.

- “Network Tab” which contains the Proxy and Socks exclusion text box, and text fields for selecting HTTP, FTP, HTTPS or Socks as your transport protocol.

  Figure 2-1. Main Window Showing Caching and Fetching Tab

### Menu Bar

The menu bar contains the File and Help menu options:

#### File Menu

The File menu contains the following options (see “Saving and Exiting” for more information):

- Save: saves the current setttings (exiting without saving loses your changes).

- Exit: exits Web Control Panel.

#### Help Menu

The Help menu contains the following default options:

- Click for Help: gives you a context-sensitive floating question mark, allowing you to click wherever you want for more details on a particular area or button.

- Overview: takes you to the Overview of Web Control Panel page.

- Contents/Search: lets you conduct a search by typing a word or phrase into the Contents/Search text field located in the lower left corner of the SGIHelp viewer window.

- Keyboard Shortcuts: takes you to the Web Control Panel keyboard shortcuts page.

- Product Information: tells you copyright details and the version of Web Control Panel you are using.

Except for Product Information, all these options operate only after the SGIHelp viewer has been launched.

### Viewer Tab

The Viewer tab controls the web viewer (see “About the Viewer Settings” for more information). It contains the following features:

- History Length in Days text field: changes the number of days you want URL information stored on your system (range: 0 - 9999 days).

- Empty History Now button: deletes all stored URL information from the history file (default: `$HOME/.web`).

- JavaScript checkbox: enables or disables the ablity to use JavaScript with your Silicon Graphics web browser (default: enabled).

### Caching and Fetching Tab

The Caching and Fetching tab controls the cache size and number of simultaneous connections (see Figure 2-1). It contains the following features (see “About the Caching and Fetching Settings” for more information):

- Cache location folder: creates a directory view window of the cache location (default: `$HOME/.web`) after dragging the folder icon to the desktop. This allows you to view the cache contents of the `.web` directory.

- Cache location text field: shows the path to the cache location (default: `$HOME/.web`).

- Recycle button: takes you to previously selected paths that, in turn, changes the folder in the Cache Location window.

- Maximum cache size slider: adjusts your cache size setting (default: 2, range: 0-100 megabytes).

- Maximum number of connections slider: adjusts your web connection settings per application (default: 4, range: 1-16 connections).

### Network Tab

The Network tab (see Figure 2-2) defines your network connections, such as whether you are using socks or a proxy server to connect to the Internet (see “About the Network Settings” for more information). It contains the following features:

- HTTP and port connection text fields: specify that you want to use the HTTP transport protocol through a proxy.

- FTP and port connection text fields: specify that you want to use the FTP transport protocol through a proxy.

- Secure HTTP and port connection text fields: specify that you want to use the secure HTTPS transport protocol through a proxy.

- Socks host and port connection text fields: specify a socks server if a proxy is not being used.

- Proxy and Socks exclusion text box: allows you to enter names of domains that you want to access directly rather than via a proxy.

  Figure 2-2. Network Tab

Prev | Table of Contents | Next
About the Network Settings |  | Keyboard Shortcuts